/*
    This file is part of COMMON AVR UTILS.

    COMMON AVR UTILS is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License (LGPL)
    as published by the Free Software Foundation, either version 3 of
    the License, or (at your option) any later version.

    COMMON AVR UTILS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License at <http://www.gnu.org/licenses/>
    for more details.

    (C) Georg-Johann Lay <georgjohann@web.de>
*/

#ifndef _SOFT_RESET_H_
#define _SOFT_RESET_H_

#include <avr/interrupt.h>
#include <avr/wdt.h>

static inline void soft_reset (void) __attribute__ ((noreturn));

void soft_reset (void)
{
	cli();
	wdt_enable (WDTO_15MS);
	while (1);
}
#endif // _SOFT_RESET_H_
